model HSCC_NestedPWA_7
    extends Maplesoft.Icons.CustomComponent;
    Real L(start = 14.1096123976519);
    Real i_c(start = .431767258131729);
    Real p(start = .865391173989663);
    Real p_est(start = .989881149684133);
    Real D_p_so1;
    Real D_p_est_so1;
    Real D_L_so2_po1;
    Real D_L_so2_rpo;
    Real D_L_so2;
    Real w_1_;
    Real w_5_;
    Real w_2_;
    Real w_7_;
    Real w_4_;
    Real w_6_;
    Modelica.Blocks.Interfaces.RealOutput L_op annotation (Placement(transformation(
        extent = {
            {90, -85}, 
            {110, -65}},
        rotation = 0)));
    Modelica.Blocks.Interfaces.RealOutput i_c_op annotation (Placement(transformation(
        extent = {
            {90, -35}, 
            {110, -15}},
        rotation = 0)));
    Modelica.Blocks.Interfaces.RealOutput p_op annotation (Placement(transformation(
        extent = {
            {90, 15}, 
            {110, 35}},
        rotation = 0)));
    Modelica.Blocks.Interfaces.RealOutput p_est_op annotation (Placement(transformation(
        extent = {
            {90, 65}, 
            {110, 85}},
        rotation = 0)));
equation
    L = L_op;
    p = p_op;
    i_c = i_c_op;
    p_est = p_est_op;
    der(L) = -4 * L + D_L_so2;
    der(p) = D_p_so1 + w_2_ + 52519/347209;
    der(i_c) = 2/5 * L - 147/25;
    der(p_est) = D_p_est_so1 + w_2_ + 10475/76946;
    D_L_so2 = 0.1680630258 * D_L_so2_po1 + 818.1628 * D_L_so2_rpo - 137.5029157 annotation (__Maplesoft_ModelSimplification(intermediate = true));
    D_p_so1 = -4.060889275 * p - 2.246975807 annotation (__Maplesoft_ModelSimplification(intermediate = true));
    w_1_ = -0.8 * p + 0.8066666667 annotation (__Maplesoft_ModelSimplification(intermediate = true));
    w_2_ = 38.94558156 * w_1_ + 1.990551946 annotation (__Maplesoft_ModelSimplification(intermediate = true));
    w_4_ = i_c + 2/5 * L - 122/25 annotation (__Maplesoft_ModelSimplification(intermediate = true));
    w_5_ = 7.0236 * p_est + 6.31287 annotation (__Maplesoft_ModelSimplification(intermediate = true));
    w_6_ = if w_4_ < .625779514022551 then -7.26366786207987 * w_4_ + 5.88567319635757 else -.897756702201052 * w_4_ + 1.90201640441787 annotation (__Maplesoft_ModelSimplification(intermediate = true));
    w_7_ = -0.005369363451 * w_5_ + 0.1466973188 annotation (__Maplesoft_ModelSimplification(intermediate = true));
    D_L_so2_po1 = 577.7688 * p + 298.17088 annotation (__Maplesoft_ModelSimplification(intermediate = true));
    D_L_so2_rpo = 0.07320335112 * w_6_ + 2.295837871 * w_7_ - 0.1680630258 annotation (__Maplesoft_ModelSimplification(intermediate = true));
    D_p_est_so1 = -2.902713417 * p_est - 2.745117341 annotation (__Maplesoft_ModelSimplification(intermediate = true));
    annotation (
        uses(Modelica(version = "3.1")),
        __Maplesoft_probes = {L, i_c, p, p_est});
end HSCC_NestedPWA_7;