model HSCC_Nonlinear_2
    extends Maplesoft.Icons.CustomComponent;
    Real L(start = 14.7235469386565);
    Real i_c(start = .0655979316541193);
    Real p(start = .869181368322381);
    Real p_est(start = .918605030091563);
    Real w_3_;
    Real w_1_;
    Real w_5_;
    Real w_2_;
    Real w_7_;
    Real w_4_;
    Real w_6_;
    Modelica.Blocks.Interfaces.RealOutput L_op annotation (Placement(transformation(
        extent = {
            {90, -85}, 
            {110, -65}},
        rotation = 0)));
    Modelica.Blocks.Interfaces.RealOutput i_c_op annotation (Placement(transformation(
        extent = {
            {90, -35}, 
            {110, -15}},
        rotation = 0)));
    Modelica.Blocks.Interfaces.RealOutput p_op annotation (Placement(transformation(
        extent = {
            {90, 15}, 
            {110, 35}},
        rotation = 0)));
    Modelica.Blocks.Interfaces.RealOutput p_est_op annotation (Placement(transformation(
        extent = {
            {90, 65}, 
            {110, 85}},
        rotation = 0)));
equation
    L = L_op;
    p = p_op;
    i_c = i_c_op;
    p_est = p_est_op;
    der(L) = -4 * L + (294/5 * (-337/50 * p + 10979/500) * p - 26901/1250) * w_6_ * w_7_;
    der(p) = (173902/62431 * p - 78007/8596) * p + w_2_ + 52519/347209;
    der(i_c) = w_3_ - 147/25;
    der(p_est) = (50633/20197 * p_est - 78929/9664) * p_est + w_2_ + 10475/76946;
    w_1_ = abs(p * (-p + 1)) annotation (__Maplesoft_ModelSimplification(intermediate = true));
    w_2_ = 132468/6943 * sqrt(w_1_) annotation (__Maplesoft_ModelSimplification(intermediate = true));
    w_3_ = 2/5 * L annotation (__Maplesoft_ModelSimplification(intermediate = true));
    w_4_ = i_c + w_3_ - 122/25 annotation (__Maplesoft_ModelSimplification(intermediate = true));
    w_5_ = (-3033/500 * p_est + 98811/5000) * p_est - 1647/5000 annotation (__Maplesoft_ModelSimplification(intermediate = true));
    w_6_ = w_4_ ^ (-1) annotation (__Maplesoft_ModelSimplification(intermediate = true));
    w_7_ = w_5_ ^ (-1) annotation (__Maplesoft_ModelSimplification(intermediate = true));
    annotation (
        uses(Modelica(version = "3.1")),
        __Maplesoft_probes = {L, i_c, p, p_est});
end HSCC_Nonlinear_2;